from libhreels import HREELS as hh
import os
import matplotlib.pyplot as plt
import numpy as np

datapath = "./Examples/data"
sav = "./Examples/data"

# datapath = "./data"
d = hh.HREELS('JB202', datapath=datapath)
print('Number of full scans is {:2.0f}'.format(d.scans))

d0 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=0)
d1 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=1)
d2 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=2)
d3 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=3)
d4 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=4)
d5 = hh.HREELS('JB202', datapath=datapath, dataSav=sav, scan=5)


d1.figure()

d.plot()
d.plot(xmin=40, factor = 10, label='')
d0.plot(xmin=40, factor = 10, color='red', label=d0.filename)
d1.plot(xmin=40, factor = 10, color='green', label=d1.filename)
d2.plot(xmin=40, factor = 10, color='orange', label=d2.filename)
d3.plot(xmin=40, factor = 10, color='black', label=d3.filename)
d4.plot(xmin=40, factor = 10, color='yellow', label=d4.filename)
d5.plot(xmin=40, factor = 10, color='magenta', label=d5.filename)

plt.text(0.99, 0.01,os.path.basename(__file__), fontsize=10, ha='right', va='bottom', transform=plt.gcf().transFigure)
output_filename = os.path.splitext(__file__)[0] + '.png'
plt.savefig(output_filename)

plt.show()