from libhreels import HREELS 
import matplotlib.pyplot as plt
import os

#d = './data'
d = './Examples/data'

file = "c1a03"
factor = 20
xmin = 35

d1 = HREELS.HREELS(file,d)
d1.plotInfoAmp(factor=factor, xmin=xmin)
d1.pickPeak()

d1.fig.text(0.99, 0.01,os.path.basename(__file__), fontsize=10, ha='right', va='bottom', transform=plt.gcf().transFigure)
output_filename = os.path.splitext(__file__)[0] + '.png'
d1.fig.savefig(output_filename)

d1.show()
