#!/usr/bin/env python
import matplotlib.pyplot as plt
import numpy as np
import libhreels.calcHREELS20 as hh
import os, json


libDir = os.path.dirname(os.path.realpath(hh.__file__)) 
file = os.path.join(libDir,'materials20.json')

with open(file) as json_file:
    materials = json.load(json_file)

print('\n\nAll available materials:')
print(materials.keys())

print('\n\nOne example "STO":\n')
print(hh.importMaterials('STO'))

